%define anolis_release 2

%global pypi_name service-identity
%global alt_name service_identity

Summary:        Service identity verification for pyOpenSSL
Name:           python-%{pypi_name}
Version:        21.1.0
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://github.com/pyca/service-identity
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# Revert theme change as "furo" theme is not packaged
Patch0:         0001-Revert-theme-change.patch

BuildArch:      noarch
BuildRequires:  python3-devel, python3dist(pytest), python3dist(sphinx)
BuildRequires:  python3dist(toml), python3dist(wheel), python3dist(cryptography)
BuildRequires:  python3dist(pyasn1), python3dist(pyasn1-modules), python3dist(pip)
BuildRequires:  python3-attrs

%description
Use this package if you use pyOpenSSL and don’t want to be MITMed, or if you
want to verify that a PyCA cryptography certificate is valid for a certain
hostname or IP address.  service-identity aspires to give you all the tools you
need for verifying whether a certificate is valid for the intended purposes.
In the simplest case, this means host name verification.  However,
service-identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Use this package if you use pyOpenSSL and don’t want to be MITMed, or if you
want to verify that a PyCA cryptography certificate is valid for a certain
hostname or IP address.  service-identity aspires to give you all the tools you
need for verifying whether a certificate is valid for the intended purposes.
In the simplest case, this means host name verification.  However,
service-identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for %{name}

%description -n python3-%{pypi_name}-doc
Use this package if you use pyOpenSSL and don’t want to be MITMed, or if you
want to verify that a PyCA cryptography certificate is valid for a certain
hostname or IP address.  service-identity aspires to give you all the tools you
need for verifying whether a certificate is valid for the intended purposes.
In the simplest case, this means host name verification.  However,
service-identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

This is the documentation package for %{name}.

%pyproject_extras_subpkg -n python3-%{pypi_name} idna

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=%{pyproject_build_lib} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{alt_name}

%check
%pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%files -n python3-%{pypi_name}-doc
%doc html
%license LICENSE docs/license.rst

%changelog
* Fri Oct 20 2023 Jingyun Hua <huajingyun@loongson.cn> - 21.1.0-2
- Add buildrequires python3-attrs

* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 21.1.0-1
- Initial package from upstream

